import AbstractProtocol from './AbstractProtocol';

export class Request<ID> extends AbstractProtocol<ID> {
  private readonly method: string;
  private readonly params: any;

  public constructor(method: string, params: any) {
    super();
    this.method = method;
    this.params = params;
  }

  /**
   * getMethod
   */
  public getMethod(): string {
    return this.method;
  }

  /**
   * getParams
   */
  public getParams(): any {
    return this.params;
  }

}

export default Request;
