import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';
import Member from '@overflow/member/api/model/Member';

import * as SignUpActionTypes from '../action/signUp';
import SignUpState, { defaultState as signupDefaultState } from '../state/SignUp';

const reducer: ReducersMapObject = {
  [SignUpActionTypes.REQUEST_SUCCESS]: (state: SignUpState = signupDefaultState, action: Action<Member>): SignUpState => {
    console.log(state);
    console.log(action);

    return state;
  },
  [SignUpActionTypes.REQUEST_FAILURE]: (state: SignUpState = signupDefaultState, action: Action<Error>): SignUpState => {
    return state;
  },
};

export default reducer;
